<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * mail -> orderer
 * Overview to all orderer
 * used from orders.page.php
 * use orders.tpl.php
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
// SELECT MAX(id) AS id FROM tabelle

$result = db::getInstance()->rawQuery('SELECT MIN(orderer_order_date) AS date FROM orderer' . SUFFIX);
$minYear = date("Y", strtotime($result[0]['date']));
$refPage->assign('scripts',
		  "<script language=\"javascript\" type=\"text/javascript\">>
			  !--
			  'var A_TCALCONF = {'
			  'cssprefix'  : 'tcal',
			  'months'     : ['" . _("January") . "', '" . _("February") . "', '" . _("March") .
		  "', '" . _("April") . "', '" . _("May") . "', '" . _("June") . "', '" . _("July") .
		  "', '" . _("August") . "', '" . _("September") . "', '" . _("October") .
		  "', '" . _("November") . "', '" . _("December") . "'],
			  'weekdays'   : ['" . _("Su") . "', '" . _("Mo") . "', '" . _("Tu") . "', '" .
		  _("We") . "', '" . _("Th") . "', '" . _("Fr") . "', '" . _("Sa") . "],
			  'longwdays'  : ['" . _("Sunday") . "', '" . _("Monday") . "', '" . _("Tuesday") .
		  "', '" . _("Wednesday") . "', '" . _("Thursday") . "', '" . _("Friday") . "', '" .
		  _("Saturday") . "'],
			  'yearscroll' : true, // show year scroller
			  'weekstart'  : 0, // first day of week: 0-Su or 1-Mo
			  'prevyear'   : '" . _("Previous Year") . "',
			  'nextyear'   : '" . _("Next Year") . "',
			  'prevmonth'  : '" . _("Previous Month") . "',
			  'nextmonth'  : '" . _("Next Month") . "',
			  'format'     : 'd/m/Y' // 'd-m-Y', Y-m-d', 'l, F jS Y'
			  };'
		  . '--></script>
		  <script type=\"text/javascript\" src=\"tcal.js\"></script>");

if (db::getInstance()->count > 0)
{
	$status = array(_('Unknown'), _('Confirmed'), _('Ships'),
		 _('Paid'), _('Reklamtion'), _('Canceled'), _('Others'));

	// Create table-array and html-code
	$data = array();
	getPagination($refPage, $entrys);

	foreach ($result as $row)
	{
		$orderer_namex = '<a href="index2.php?page=' . $page . '&sub=' . $subpage .
				  '&id=' . $row['orderer_order_id'] .
				  '&func=list">' . $row['orderer_lastname'] . ', ' . $row['orderer_firstname'] . '</a>';

		$data[] = array('orderer_idx' => $row['orderer_order_id'],
			 'orderer_namex' => $orderer_namex,
			 'orderer_companyx' => $row['orderer_company'],
			 'orderer_datex' => substr($row['orderer_order_date'], 8, 2) . '.' .
			 substr($row['orderer_order_date'], 5, 2) . '.' .
			 substr($row['orderer_order_date'], 2, 2),
			 'orderer_statusx' => $status[$row['orderer_order_status']]);
		$refPage->assign('data', $data);
	}

	$refPage->assign('btnPrint',
			  '<input type="submit" name="submit" id="print" value="' .
			  _('Print Monthly List') . '" />');

	$refPage->assign('ordererPageHelp', help('orderer', $page, TRUE));
	$refPage->addtpl('content', '/' . $page . '/' . $subpage . '.tpl.php');
}