<?php
if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Display Values of Free shipping and
 * max. Shippingcosts
 * used from shippingsettings.page.php
 * 
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<h2>{name}</h2>

<div class="form">
   <form action="{action}" method="post" class="niceform fieldset">
      <fieldset>
         <dl>
            <dt><label for="shippingmaxx">{shippingmax}</label></dt>
            <dd>
               <input type="text" name="shippingmaxx" id="shippingmaxx" size="30" value="{shippingmaxx}" />
               {shippingmaxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="shippingfreex">{shippingfree}</label></dt>
            <dd>
               <input type="text" name="shippingfreex" id="shippingfreex" size="30" value="{shippingfreex}" />
               {shippingfreeHelp}
            </dd>
         </dl>
         <dl>
            <dt><label for="taxx">{tax}</label></dt>
            <dd>
               <select style="width:380px;" size="1" name="taxx" id="taxx">
                  <!-- BEGIN taxx -->
                  <option value="{taxValuex}" {selectx}>{taxNamex}</option>
                  <!-- END taxx -->
               </select>
            </dd>
         </dl>

         <dl class="submit">
            {save}
            {abort}
         </dl>

      </fieldset>
   </form>
</div>
