<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for User->admin
 * used from admin.page.table.php
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>

<div class="admin_tpl">
	<h2>{pageTitel}</h2>
	<form class="niceform fieldset adminTable" action="{formStart}" method="post">
		<fieldset>
					
			<dl>
				<table id="rounded-corner-admin" summary="{tableSummary}">
					<!-- column-with  max table width: 625px-->
					<colgroup>
						<col width="25">
						<col width="25">
						<col width="300">
						<col width="150">
						<col width="40">
					</colgroup>

					<thead>
						<tr>
							<th scope="col" class="rounded-company"></th>
							<th scope="col" class="rounded">{userId}</th>
							<th scope="col" class="rounded">{userName}</th>
							<th scope="col" class="rounded">{userLastLogin}</th>
							<th scope="col" class="rounded-q4">{userActive}</th>
						</tr>
					</thead>

					<tfoot>
						<tr>
							<td colspan="4" class="rounded-foot-left"><em></em></td>
							<td class="rounded-foot-right">&nbsp;</td>
						</tr>
					</tfoot>

					<tbody>
						<!-- BEGIN adminListx -->
						<tr>
							<td>{adminCheckboxx}</td>
							<td><div align="right">{adminIdx}</div></td>
							<td>{adminNamex}</td>
							<td><div align="right">{adminLastLoginx}</div></td>
							<td><div align="center">{adminActivx}</div></td>
						</tr>
						<!-- END adminListx -->
					</tbody>
				</table>
			</dl>

			<dl class="submit"> 
				{btnDelete}{btnNew}
			</dl>

		</fieldset>
	</form>
</div>