<?php
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Installation of TobbiVM-Shop
 * Display set postal adress
 * @since 0.1.2
 * @version 0.1.2
 * @package TobbiVM-Shop
 * @copyright Copyright (C) 2018
 * @license GPL3
 * @category install
 * @package install
 * @subpackage install
 * $Rev: 29 $
 * $Date: 2018-08-13 12:19:28 +0200 (Mo, 13. Aug 2018) $
 * $Author: norbert-neo $
 * $URL: https://svn.code.sf.net/p/tobbivm/code/trunk/install/database.php $
 */
?>
<h1>Datenbank- und Servereinstellungen</h1>
<form action="index.php?page=install" method="post" id="formid">
   <fieldset>
      <h2>Datenbank</h2>
      <article>
         <p class="input">
            Datenbankname: <input type="text" name="dbname" value="<?php echo $_SESSION['dbname'] ?>" size="35" /><br>
            Hostname (localhost / IP): <input type="text" name="dbHost" value="<?php echo $_SESSION['dbHost'] ?>" size="35" /><br>
            Benutzername: <input type="text" name="dbUser" value="<?php echo $_SESSION['dbUser'] ?>" size="35" /><br>
            Passwort: <input type="text" name="dbPassword" value="<?php echo $_SESSION['dbPassword'] ?>" size="35" /><br>
            Administrator E-Mail (f&uuml;r DB-Backup etc.): <input type="text" name="adminMail" value="<?php echo $_SESSION['adminMail'] ?>" size="35" /><br>
         </p>
      </article>
      <input type="submit" name="submit" id="testdb" value="Teste Datenbankverbindung"/>
      <h2>Website-Angaben</h2>
      <article>
         <p class="input">
            Vollständige URL (ohne http(s)): <input type="text" name="url_0" value="<?php echo $_SESSION['url_0'] ?>" size="35" /><br>
            <label class="ckb">
               Ist dies eine HTTPS-Webseite? : <input type="checkbox" name="http_s" value="0" <?php echo buffer::getOption('http_s') ?> />
               <i></i>
            </label><br>
            <br>
            Shop-Kurzname (für Tabellenk&ouml;pfe): <input type="text" name="shortUrl" value="<?php echo $_SESSION['shortUrl'] ?>" size="35" /><br>
            <br>
            Der folgende Testname verhindert beim prüfen der Bestell- und Mailfunktionen<br>
            das die entsprechenden Angaben in den Bestellisten oder Lagermengenliste ber&uuml;cksichtigt wird.<br>
            Testeinkäuferfirma: <input type="text" name="testshopper" value="<?php echo $_SESSION['testshopper'] ?>" size="35" /><br>
            <br>
            Hier wird der Standard-Seitentitel eingefügt. Dieser wird immer genutzt wenn für die jeweilige Seite kein eigener Seitentitel eingetragen wurde.<br>
            Seitentitel: <input type="text" name="titel" value="<?php echo $_SESSION['titel'] ?>" size="35" /><br>
            <br>
            Hier wird die Standard-Seitenbeschreibung eingefügt. Diese wird immer genutzt wenn für die jeweilige Seite keine eigene Seitenbeschreibung eingetragen wurde.<br>
            Metadescription: <input type="text" name="Metadescription" value="<?php echo $_SESSION['Metadescription'] ?>" size="35" /><br>
            <br>
            Shop-Generatorname: <input type="text" name="generator" value="<?php echo $_SESSION['generator'] ?>" size="35" /><br>
         </p>
      </article>
      <h2>Anmeldeformular f&uuml;r K&auml;ufer</h2>
      <article>
         <p class="input1">
            Firmenname: 
            <label class="rad">
               <input type="radio" name="logCompany" value="0" <?php echo buffer::getRadio('logCompany', 0); ?> />
               <i></i> Aus&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logCompany" value="1" <?php echo buffer::getRadio('logCompany', 1); ?> />
               <i></i> Eingabe m&ouml;glich&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logCompany" value="2" <?php echo buffer::getRadio('logCompany', 2); ?> />
               <i></i> Eingabe zwingend
            </label>
         </p>
         <p class="input1">
            Vorname: 
            <label class="rad">
               <input type="radio" name="logFirstname" value="0" <?php echo buffer::getRadio('logFirstname', 0); ?> />
               <i></i> Aus&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logFirstname" value="1" <?php echo buffer::getRadio('logFirstname', 1); ?> />
               <i></i> Eingabe m&ouml;glich&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logFirstname" value="2" <?php echo buffer::getRadio('logFirstname', 2); ?> />
               <i></i> Eingabe zwingend
            </label>
         </p>
         <p class="input1">
            Nachname: 
            <label class="rad">
               <input type="radio" name="logLastname" value="0" <?php echo buffer::getRadio('logLastname', 0); ?> />
               <i></i> Aus&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logLastname" value="1" <?php echo buffer::getRadio('logLastname', 1); ?> />
               <i></i> Eingabe m&ouml;glich&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logLastname" value="2" <?php echo buffer::getRadio('logLastname', 2); ?> />
               <i></i> Eingabe zwingend
            </label>
         </p>
         <p class="input1">
            Stra&szlig;enname und Hausnummer: 
            <label class="rad">
               <input type="radio" name="logStreet" value="0" <?php echo buffer::getRadio('logStreet', 0); ?> />
               <i></i> Aus&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logStreet" value="1" <?php echo buffer::getRadio('logStreet', 1); ?> />
               <i></i> Eingabe m&ouml;glich&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logStreet" value="2" <?php echo buffer::getRadio('logStreet', 2); ?> />
               <i></i> Eingabe zwingend
            </label>
         </p>
         <p class="input1">
            Postleitzahl: 
            <label class="rad">
               <input type="radio" name="logZipcode" value="0" <?php echo buffer::getRadio('logZipcode', 0); ?> />
               <i></i> Aus&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logZipcode" value="1" <?php echo buffer::getRadio('logZipcode', 1); ?> />
               <i></i> Eingabe m&ouml;glich&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logZipcode" value="2" <?php echo buffer::getRadio('logZipcode', 2); ?> />
               <i></i> Eingabe zwingend
            </label>
         </p>
         <p class="input1">
            Ort: 
            <label class="rad">
               <input type="radio" name="logCity" value="0" <?php echo buffer::getRadio('logCity', 0); ?> />
               <i></i> Aus&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logCity" value="1" <?php echo buffer::getRadio('logCity', 1); ?> />
               <i></i> Eingabe m&ouml;glich&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logCity" value="2" <?php echo buffer::getRadio('logCity', 2); ?> />
               <i></i> Eingabe zwingend
            </label>
         </p>
         <p class="input1">
            Bundesland: 
            <label class="rad">
               <input type="radio" name="logCountry" value="0" <?php echo buffer::getRadio('logCountry', 0); ?> />
               <i></i> Aus&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logCountry" value="1" <?php echo buffer::getRadio('logCountry', 1); ?> />
               <i></i> Eingabe m&ouml;glich&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logCountry" value="2" <?php echo buffer::getRadio('logCountry', 2); ?> />
               <i></i> Eingabe zwingend
            </label>
         </p>
         <p class="input1">
            Telefonnummer: 
            <label class="rad">
               <input type="radio" name="logPhone" value="0" <?php echo buffer::getRadio('logPhone', 0); ?> />
               <i></i> Aus&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logPhone" value="1" <?php echo buffer::getRadio('logPhone', 1); ?> />
               <i></i> Eingabe m&ouml;glich&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logPhone" value="2" <?php echo buffer::getRadio('logPhone', 2); ?> />
               <i></i> Eingabe zwingend
            </label>
         </p>
         <p class="input1">
            Faxnummer: 
            <label class="rad">
               <input type="radio" name="logFax" value="0" <?php echo buffer::getRadio('logFax', 0); ?> />
               <i></i> Aus&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logFax" value="1" <?php echo buffer::getRadio('logFax', 1); ?> />
               <i></i> Eingabe m&ouml;glich&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logFax" value="2" <?php echo buffer::getRadio('logFax', 2); ?> />
               <i></i> Eingabe zwingend
            </label>
         </p>
         <p class="input1">
            Mobilnummer: 
            <label class="rad">
               <input type="radio" name="logMobile" value="0" <?php echo buffer::getRadio('logMobile', 0); ?> />
               <i></i> Aus&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logMobile" value="1" <?php echo buffer::getRadio('logMobile', 1); ?> />
               <i></i> Eingabe m&ouml;glich&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logMobile" value="2" <?php echo buffer::getRadio('logMobile', 2); ?> />
               <i></i> Eingabe zwingend
            </label>
         </p>
         <p class="input1">
            E-Mail-Adresse: 
            <label class="rad">
               <input type="radio" name="logMail" value="0" <?php echo buffer::getRadio('logMail', 0); ?> />
               <i></i> Aus&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logMail" value="1" <?php echo buffer::getRadio('logMail', 1); ?> />
               <i></i> Eingabe m&ouml;glich&nbsp;&nbsp;&nbsp;&nbsp;
            </label>
            <label class="rad">
               <input type="radio" name="logMail" value="2" <?php echo buffer::getRadio('logMail', 2); ?> />
               <i></i> Eingabe zwingend
            </label><br>
         </p>
      </article>

      <a href="index.php?page=adress" target="_self">
         <div class="button">
            Zur&uuml;ck
         </div>
      </a>
      <input type="submit" name="submit" id="go" value="Weiter"/>
   </fieldset>
</form>
