<?php

if (!defined('TOBBIVM'))
	header('location:/admin/template/notepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Verify and save data from pricelist-editorpage
 *
 * @author Norbert Gebert
 * @copyright Norbert Gebert 25.09.2011
 * @license GPL3
 *
 * @version 0.5b
 * @package Admin
 * @subpackage page
 */
$mysqlBuffer = '';
// Test of exist record
$idx = $refValidate->testNumber($_POST['idx'], _('Error in ID.'));

$artx = $refValidate->testNumber($_POST['artx'], _('Error in Priceart.'));
$pricex = $refValidate->cleanslash($_POST['pricex'], _('Error in Price.'));
$pricefixx = $refValidate->cleanslash($_POST['pricefixx'], _('Error in Pricefix.'));
$pricelistx = $refValidate->cleanslash($_POST['pricelistx'], _('Error in Pricelist.'));
$namex = $refValidate->cleanslash($_POST['namex'], _('Error in Pricename.'));

if (!$idx or !$namex)
{
	message::setErrorRow(_('Submitted Data are wrong format or invalid.') . '<br>' .
		_('No data could be saved!'));
}
else
{
	db::getInstance()->where('price_id', $idx);
	$result = db::getInstance()->getOne('price');

	if (db::getInstance()->count >= 1)
	{
		$data = Array(
		 'price_art' => $artx,
		 'price_per_item' => str_replace(',', '.', $pricex),
		 'price_fix' => str_replace(',', '.', $pricefixx),
		 'price_list' => $pricelistx,
		 'price_name' => $namex);
		db::getInstance()->where('price_id', $idx);

		if (db::getInstance()->update('price', $data))
		{
			message::setNoteRow(_('The data was successful saved.'), true);
		}
		else
		{
			message::setErrorRow(_('No data could be saved!'), TRUE);
		}
	}
	else
	{
		message::setErrorRow(_('No data could be found!'), TRUE);
		$refPage->addtpl('content', '/' . $page . '/' . $subpage . '.editor.tpl.php');
	}
}
?>